Project/src/model/ReservationDataBeans.java
package model;

import java.io.Serializable;
import java.text.SimpleDateFormat;
import java.util.Date;

public class ReservationDataBeans implements Serializable {
	private int id;
	private int userId;
	private int hotSpringId;
	private Date reservationDate;
	private String hotSpringName;
	private int hotSpringPrice;

public ReservationDataBeans() {

}


public ReservationDataBeans(int userId, int hotSpringId, Date reservationDate) {
	    this.userId = userId;
		this.hotSpringId = hotSpringId;
		this.reservationDate = reservationDate;
	}


	public ReservationDataBeans(int id, int userId, int hotSpringId, Date reservationDate) {
		this.id = id;
		this.userId = userId;
		this.hotSpringId = hotSpringId;
		this.reservationDate = reservationDate;
}

	public ReservationDataBeans(int userId, String hotSpringName, int hotSpringPrice, Date reservationDate) {
		this.userId = userId;
		this.hotSpringName = hotSpringName;
		this.hotSpringPrice = hotSpringPrice;
		this.reservationDate = reservationDate;


	}


	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public int getUserId() {
		return userId;
	}
	public void setUserId(int userId) {
		this.userId = userId;
	}
	public int getHotSpringId() {
		return hotSpringId;
	}
	public void setHotSpringId(int hotSpringId) {
		this.hotSpringId = hotSpringId;
	}
	public Date getReservationDate() {
		return reservationDate;
	}

	public void setReservationDate(Date reservationDate) {
		this.reservationDate = reservationDate;
	}

	public String getHotSpringName() {
		return hotSpringName;
	}
	public void setHotSpringName(String hotSpringName) {
		this.hotSpringName = hotSpringName;
	}
	public int getHotSpringPrice() {
		return hotSpringPrice;
	}
	public void setHotSpringPrice(int hotSpringPrice) {
		this.hotSpringPrice = hotSpringPrice;
	}


	//ECの「BuyDataBeans」を参考！！！
	public String getFormatDate() {
		SimpleDateFormat sdf = new SimpleDateFormat("yyyy年MM月dd日 E曜日 H時mm分");
		return sdf.format(reservationDate);
	}
}

Project/src/controller/HotSpringDetailServlet.java
package controller;

import java.io.IOException;
import java.util.ArrayList;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import dao.HotSpringDao;
import dao.ReviewDao;
import model.HotSpringBeans;
import model.ReviewBeans;

/**
 * Servlet implementation class HotSpringDetailServlet
 */
@WebServlet("/HotSpringDetailServlet")
public class HotSpringDetailServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public HotSpringDetailServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		request.setCharacterEncoding("UTF-8");



		// URLからGETパラメータとしてIDを受け取る
		String id = request.getParameter("id");
		System.out.println(id);


		// TODO  未実装：idを引数にして、idに紐づくユーザ情報を出力する
		HotSpringDao hotSpringDao = new HotSpringDao();
		HotSpringBeans hotSpringBeans = hotSpringDao.detail(id);

		request.setAttribute("data", hotSpringBeans);





		// 口コミ情報を取得
		ReviewDao reviewDao = new ReviewDao();
		ArrayList<ReviewBeans> reviewList = reviewDao.reviewUserId(hotSpringBeans.getId());
		request.setAttribute("reviewData", reviewList);



		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/hotSpringDetail.jsp");
		dispatcher.forward(request, response);
	}
}

Project/src/controller/HotSpringListServlet.java
package controller;

import java.io.IOException;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import dao.HotSpringDao;
import model.HotSpringBeans;

/**
 * Servlet implementation class HotSpringListServlet
 */
@WebServlet("/HotSpringListServlet")
public class HotSpringListServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public HotSpringListServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
    protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO 未実装：ログインセッションがない場合、ログイン画面にリダイレクトさせる

		// 温泉一覧情報を取得
		HotSpringDao hotSpringDao = new HotSpringDao();
		List<HotSpringBeans> hotSpringList = hotSpringDao.findAll();

		// リクエストスコープにユーザ一覧情報をセット
		request.setAttribute("data", hotSpringList);

		// 温泉一覧のjspにフォワード
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/hotSpringList.jsp");
		dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
    protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		request.setCharacterEncoding("UTF-8");
    	// TODO 未実装：検索機能


		String name = request.getParameter("name");


		HotSpringDao hotSpringDao = new HotSpringDao();
		List<HotSpringBeans> hotSpringList = hotSpringDao.hotSpringSearch(name);
				request.setAttribute("data", hotSpringList);

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/hotSpringList.jsp");
		dispatcher.forward(request, response);

    }
}

Project/src/controller/LoginServlet.java
package controller;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import dao.UserDao;
import model.User;

/**
 * Servlet implementation class LoginServlet
 */
@WebServlet("/LoginServlet")
public class LoginServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#HttpServlet()
	 */
	public LoginServlet() {
		super();
	}

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse
	 *      response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		// フォワード
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/login.jsp");
		dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse
	 *      response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
        // リクエストパラメータの文字コードを指定
        request.setCharacterEncoding("UTF-8");
        HttpSession session = request.getSession();

		// リクエストパラメータの入力項目を取得

		String loginId = request.getParameter("loginId");
		String password = request.getParameter("password");

		// リクエストパラメータの入力項目を引数に渡して、Daoのメソッドを実行
		UserDao userDao = new UserDao();
		User user = userDao.findByLoginInfo(loginId, password);

		/** テーブルに該当のデータが見つからなかった場合 **/
		if (user == null) {
			// リクエストスコープにエラーメッセージをセット
			request.setAttribute("errMsg", "ログインに失敗しました。");

		// ログインjspにフォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/login.jsp");
			dispatcher.forward(request, response);
			return;
		}

		/** テーブルに該当のデータが見つかった場合 **/
		// セッションにユーザの情報をセット
		session.setAttribute("userInfo", user);


        ////標準クラスのequalメソッドを参考
		User data =(User)session.getAttribute("userInfo");
		if(data.getLoginId().equals("admin") ) {
			response.sendRedirect("UserListServlet");

		}else {
		// 温泉一覧のサーブレットにリダイレクト
		response.sendRedirect("HotSpringListServlet");

    }
}
}

Project/src/controller/LogoutServlet.java
package controller;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

/**
 * Servlet implementation class LogoutServlet
 */
@WebServlet("/LogoutServlet")
public class LogoutServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public LogoutServlet() {
        super();
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		HttpSession session = request.getSession();
		// フォワード
				RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/logout.jsp");
				dispatcher.forward(request, response);

		// ログイン時に保存したセッション内のユーザ情報を削除
		session.removeAttribute("userInfo");

		// ログインのサーブレットにリダイレクト
		response.sendRedirect("LoginServlet");
	}
}

Project/src/controller/NewUserServlet.java
package controller;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import dao.UserDao;
import model.User;
/**
 * Servlet implementation class NewUserServlet
 */
@WebServlet("/NewUserServlet")
public class NewUserServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public NewUserServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		//newUserをフォワード
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/newUser.jsp");
		dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		request.setCharacterEncoding("UTF-8");

		String loginId = request.getParameter("login_id");
		String password = request.getParameter("password");
		String passwordConfirm = request.getParameter("passwordConfirm");
		String name = request.getParameter("name");
		String birthDate = request.getParameter("birth_date");
		String address = request.getParameter("address");

		if (password.equals(passwordConfirm)) {
		} else {
			request.setAttribute("errMsg", "入力された内容は正しくはありません。");

			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/newUser.jsp");
			dispatcher.forward(request, response);
			return;
		}

		if(loginId == null || "".equals(loginId)){
			request.setAttribute("errMsg1", "未入力です。");
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/newUser.jsp");
			dispatcher.forward(request, response);
			return;}
		if(password == null || "".equals(password)) {
			request.setAttribute("errMsg1", "未入力です。");
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/newUser.jsp");
			dispatcher.forward(request, response);
			return;}
		if(passwordConfirm == null || "".equals(passwordConfirm)) {
			request.setAttribute("errMsg1", "未入力です。");
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/newUser.jsp");
			dispatcher.forward(request, response);
			return;}
		if(name == null || "".equals(name)) {
			request.setAttribute("errMsg1", "未入力です。");
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/newUser.jsp");
			dispatcher.forward(request, response);
			return;}
		if(birthDate == null || "".equals(birthDate)) {
			request.setAttribute("errMsg1", "未入力です。");
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/newUser.jsp");
		dispatcher.forward(request, response);
		return;
		}


		//userDao.againId(loginId)にあるUserに取り込む
		UserDao userDao = new UserDao();
		User user = userDao.againId(loginId);

		//ログインIDが登録済みの時
		//userに登録したloginIdがnulll(無い場合)
		if(user != null) {
		request.setAttribute("errMsg2", "ログインIDは既に登録済みです");
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/newUser.jsp");
		dispatcher.forward(request, response);
		return;
		}

		userDao.create(loginId, password, name, birthDate, address);

		// ユーザ一覧のサーブレットにリダイレクト
		response.sendRedirect("LoginServlet");
	}
}

Project/src/controller/ReviewResultServlet.java
package controller;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import dao.HotSpringDao;
import dao.ReviewDao;
import model.HotSpringBeans;
import model.User;

/**
 * Servlet implementation class ReviewResultServlet
 */
@WebServlet("/ReviewResultServlet")
public class ReviewResultServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public ReviewResultServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		String id = request.getParameter("id");
		System.out.println(id);


		// TODO  未実装：idを引数にして、idに紐づくユーザ情報を出力する
		HotSpringDao hotSpringDao = new HotSpringDao();
		HotSpringBeans hotSpringBeans = hotSpringDao.detail(id);
		request.setAttribute("data", hotSpringBeans);

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/reviewResult.jsp");
		dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		request.setCharacterEncoding("UTF-8");
		HttpSession session = request.getSession();

/////////  int型➡getParameterが無いため、String型でgetParameterを用意して取ってくる

		 String star = request.getParameter("star");
    	 String review = request.getParameter("review");
    	 String hotSpringId = request.getParameter("hotSpringId");
    	 int str =Integer.parseInt(star);
    	 String how = request.getParameter("how");

    	 request.setAttribute("review",review);
 		 request.setAttribute("star",str);

 		 User user =(User)session.getAttribute("userInfo");

 		ReviewDao  reviewDao= new ReviewDao();
 		ReviewDao.insertReview(user.getId(),review, hotSpringId, str,how);

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/reviewResult.jsp");
		dispatcher.forward(request, response);
	}

}

Project/src/controller/UserDeleteServlet.java
package controller;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import dao.UserDao;
import model.User;

/**
 * Servlet implementation class UserDeleteServlet
 */
@WebServlet("/UserDeleteServlet")
public class UserDeleteServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserDeleteServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// URLからGETパラメータとしてIDを受け取る
		String id = request.getParameter("id");
		// 確認用：idをコンソールに出力
		System.out.println(id);

		UserDao userDao = new UserDao();
		User user = userDao.update(id);
		request.setAttribute("user", user);


		//delete.jspをフォワード
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userDelete.jsp");
		dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		request.setCharacterEncoding("UTF-8");
		String id = request.getParameter("id");


		UserDao userDao = new UserDao();
		userDao.deleteUserInfor(id);
		response.sendRedirect("UserListServlet");
	}

}

Project/WebContent/WEB-INF/jsp/hotSpringDetail.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>温泉詳細</title>
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">
<link href="CSS/style.css" rel="stylesheet" type="text/css" />
</head>

<body>
	<div class="header">
		<div class="log" align="left">
			<h2>温泉予約管理システム</h2>
		</div>
		<div class="lists" align="right">
			<ul class="list">
				<li>${userInfo.name}さん</li>
				<li><a href="LogoutServlet">ログアウト</a></li>
			</ul>
		</div>
	</div>
<body>
	<div class="login" align="center">
		<h2>詳細画面</h2>
	</div>

	<form class="form-signin" action="ReviewServlet" method="post">
		<input type="hidden" name="id" value="${data.id}">
		<div class="container">
			<div class="row">

				<div class="col-md-4">
					<div class="card mb-4 shadow-sm">
						<img src="img/${data.fileName}" width="100%" height="400">
						<div class="card-body">
							<p class="card-text">${data.name}</p>
							<p class="card-text">${data.open}</p>

<c:if test="${userInfo.name != null }">
							<div class="d-flex justify-content-between align-items-center">
								<div class="btn-group">
									<a class="btn btn-primary"
										href="BuyReservationServlet?id=${data.id}">予約</a>
								</div>
								<small class="text-muted">9 mins</small>
							</div>
</c:if>
						</div>
					</div>
				</div>
				<div class="col-md-6">
					<p>${data.detail}</p>
					<p>${data.access}</p>
					<hr>

<c:if test="${userInfo.name != null }">
					<a class="btn btn-success" href="ReviewServlet?id=${data.id}">口コミを書く</a>
</c:if>
					<p>■■ご利用者様の評価■■</p>

					<c:forEach var="user" items="${reviewData}">
					<input type="hidden" name="how" value="${user.how}">
						<ul class="reviewList">
							<li>●${user.createDate}</li>
							<c:if test="${user.star == 1 }">
								<li>★☆☆☆☆</li>
							</c:if>
							<c:if test="${user.star == 2 }">
								<li>★★☆☆☆</li>
							</c:if>
							<c:if test="${user.star == 3 }">
								<li>★★★☆☆</li>
							</c:if>
							<c:if test="${user.star == 4 }">
								<li>★★★★☆</li>
							</c:if>
							<c:if test="${user.star == 5 }">
								<li>★★★★★</li>
							</c:if>
							<li>${user.review}</li>
						</ul>
					</c:forEach>

				</div>
			</div>
		</div>
	</form>


	<a href="javascript:history.back()">[戻る]</a>
</body>
</html>

Project/WebContent/WEB-INF/jsp/hotSpringList.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>関東温泉一覧</title>
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">
<link href="CSS/style.css" rel="stylesheet" type="text/css" />
</head>


<body>

	<div class="header">
		<div class="log" align="left">
			<h2>温泉予約管理システム</h2>
		</div>
		<div class="lists" align="right">
		<form action="BuyReservationHistoryServlet" method="post">
		　　	<ul class="list" >
<c:if test="${userInfo.name != null }">
				<li>${userInfo.name}さん</li>
</c:if>
<c:if test="${userInfo.name == null }">
			    <li><a href="NewUserServlet">新規登録</a></li>
				<li><a href="LoginServlet">ログイン</a></li>
</c:if>
<c:if test="${userInfo.name != null }">
				<li><a href="LogoutServlet" >ログアウト</a></li>
		　　　		<li><Button type="submit">${userInfo.name}さんの予約履歴</Button></li>
</c:if>
			</ul>
		</form>

		</div>
	</div>

<form class="form-signin" action="HotSpringListServlet" method="post">
	<div class="login" align="center">

		<h2>～心を満たせる！やすらぎ温泉～</h2>

			<p>気になる温泉を探そう!
			<input type="text" name="name" id="search" placeholder="検索キーワードを入力">
			 <button type="submit" value="検索" class="btn btn-primary form-submit">検索</button>
			</p></div>
<div class="container">

		<div class="row">
			<c:forEach var="d" items="${data}">
				<div class="col-md-4">
					<div class="card mb-4 shadow-sm">
						<img src="img/${d.fileName}" width="100%"
							height="225">
						<div class="card-body">
							<p class="card-text">${d.name}</p>
							<p class="card-text">${d.open}</p>




							<div class="d-flex justify-content-between align-items-center">
								<div class="btn-group">
										<a class="btn btn-primary" href="HotSpringDetailServlet?id=${d.id}">詳細</a>　　
									<c:if test="${userInfo.name != null }">
										<a class="btn btn-primary" href="BuyReservationServlet?id=${d.id}">予約</a>
									</c:if>
								</div>
							</div>
						</div>
					</div>
				</div>
			</c:forEach>
		</div>

	</div></div>
</form>

</body>
</html>

Project/WebContent/WEB-INF/jsp/reservationHistory.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>予約画面</title>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
<link href="CSS/style.css" rel="stylesheet" type="text/css" />
</head>


<body>
   <div class="header">
	  <div class="log" align="left">
	    <h2>温泉予約管理システム</h2>
	  </div>
	  <div class="lists" align="right">
		<ul class="list">
		<li>${userInfo.name}さん</li>
		<li><a href="HotSpringListServlet">温泉一覧</a></li>
		<li><a href="LogoutServlet">ログアウト</a></li>
		</ul>
	  </div>
	</div>

<div class="login"align="center">
	<h2>予約履歴</h2>
</div>
<br>
<br>
<form action="BuyReservationHistoryServlet" method="post">
<input type="hidden" name="reservationDate" value="${reservationDate}">

<div class="container">
<div class="card card-body bg-light">
   <div class="row">
	<table class="table">
	<thead>
	  <tr>
        <th scope="col">予約日時</th>
        <th scope="col">温泉名</th>
        <th scope="col">合計金額</th>
      </tr>
     </thead>

	<tbody>
  <c:forEach var="user" items="${reservationData}">


	<tr>
      <td>${user.formatDate}</td>
      <td>${user.hotSpringName}</td>
      <td>${user.hotSpringPrice}円</td>
    </tr>
  </c:forEach>
	</tbody>
	</table>
   </div>
	<br>
	<br>

<div align="center">
	<a href="HotSpringListServlet" class="navbar-link login-link">温泉一覧画面へ戻る</a>
</div>
</div>
</div>
</form>
</body>
</html>